osl::checkmate::EdgeTable Class Reference

`#include <proofNumberTable.h>`

## Public Member Functions

void | init ()
const King8Info | resetEdgeFromLiberty (Player king_player, Square king, King8Info info) const
| liberty から盤の淵(xかyが1か9)を取り除く.

## Private Attributes

CArray2d< uint64_t, 2, Square::SIZE > | edge_mask

## Detailed Description

Definition at line 201 of file proofNumberTable.h.

## Member Function Documentation

## init()

void osl::checkmate::EdgeTable::init | ( |  | ) |

Definition at line 373 of file proofNumberTable.cc.

References osl::BLACK, osl::Board_Table, osl::DIRECTION_MIN, edge_mask, osl::Square::index(), osl::SHORT8_DIRECTION_MAX, osl::WHITE, osl::Square::x(), and osl::Square::y().

## resetEdgeFromLiberty()

const King8Info osl::checkmate::EdgeTable::resetEdgeFromLiberty | ( | Player | king_player,
|  | Square | king,
|  | King8Info | info ) const

inline

liberty から盤の淵(xかyが1か9)を取り除く.

libertyCount()==0になっても詰みとは限らない

Definition at line 211 of file proofNumberTable.h.

References osl::misc::BitOp::countBit(), edge_mask, osl::Square::index(), and osl::checkmate::King8Info::uint64Value().

## Member Data Documentation

## edge_mask

CArray2d<uint64_t, 2, Square::SIZE> osl::checkmate::EdgeTable::edge_mask

private

Definition at line 203 of file proofNumberTable.h.

Referenced by init(), and resetEdgeFromLiberty().

The documentation for this class was generated from the following files:

- proofNumberTable.h
- proofNumberTable.cc